##
##  ruby-gems.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ruby-gems
Summary:      Ruby Packaging Facility
URL:          http://www.rubygems.org/
Vendor:       Paul Duncan
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      GPL
Version:      3.6.3
Release:      20250117

#   list of sources
Source0:      https://rubygems.org/rubygems/rubygems-%{version}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, ruby
PreReq:       OpenPKG, openpkg >= 20160101, ruby

%description
    RubyGems is the premier Ruby packaging system for publishing and
    managing third party libraries.

%track
    prog ruby-gems = {
        version   = %{version}
        url       = https://rubygems.org/pages/download
        regex     = rubygems-(__VER__)\.tgz
    }

%prep
    %setup -q -n rubygems-%{version}

%build

%install
    %{l_prefix}/bin/ruby setup.rb install \
        --destdir=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

